<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b5beace6-e4f4-419b-8299-c67e17af5998" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/Modules/Camera/Services/CameraServices.php" beforeDir="false" afterPath="$PROJECT_DIR$/Modules/Camera/Services/CameraServices.php" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" doNotAsk="true" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/composer.json</pharConfigPath>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Modules/Camera/Http/Controllers/Api/CameraApiController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="508">
              <caret line="42" column="42" selection-start-line="42" selection-start-column="33" selection-end-line="42" selection-end-column="42" />
              <folding>
                <element signature="e#141#162#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/Modules/Camera/Services/CameraServices.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="424">
              <caret line="317" column="13" lean-forward="true" selection-start-line="317" selection-start-column="13" selection-end-line="317" selection-end-column="13" />
              <folding>
                <element signature="e#129#150#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/.env">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="656">
              <caret line="46" column="44" lean-forward="true" selection-start-line="46" selection-start-column="16" selection-end-line="46" selection-end-column="44" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Modules/Camera/Enum/CameraEnum.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="357">
              <caret line="22" column="24" selection-start-line="22" selection-start-column="10" selection-end-line="22" selection-end-column="24" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Modules/Admin/Enum/AdminEnum.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="168">
              <caret line="13" column="10" selection-start-line="13" selection-start-column="10" selection-end-line="13" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Enum/ApiEnum.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="567">
              <caret line="32" column="33" selection-start-line="32" selection-start-column="10" selection-end-line="32" selection-end-column="33" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Modules/Camera/Routes/api.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="105">
              <caret line="14" column="37" selection-start-line="14" selection-start-column="37" selection-end-line="14" selection-end-column="37" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>weadmin.css.map</find>
      <find>adminSetting</find>
      <find>/admin/setting</find>
      <find>登录</find>
      <find>items</find>
      <find>permissionsList</find>
      <find>增加</find>
      <find>删除</find>
      <find>$actionBtns</find>
      <find>UserEnum</find>
      <find>select</find>
      <find>checkbox</find>
      <find>CAMERA_FIELD_ALREADY_EXIST</find>
      <find>CAMERA_FIELD_NOT_EXIST</find>
      <find>f</find>
      <find>uploadFile</find>
      <find>uploadFiles</find>
      <find>formObj-&gt;uploadFiles</find>
      <find>-&gt;uploadFiles</find>
      <find>$uploadURLPath</find>
      <find>menu</find>
      <find>菜单标识</find>
      <find>layui.extend</find>
      <find>formSelect</find>
      <find>formSelects.</find>
      <find>formSelects:</find>
      <find>formSelects</find>
      <find>sendLoginResponse</find>
      <find>queue:work</find>
      <find>VIDEO_SYSTEM_URL</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/Modules/Admin/Http/Requests/MenusRequest.php" />
        <option value="$PROJECT_DIR$/Modules/Admin/Resources/views/component/template_from.blade.php" />
        <option value="$PROJECT_DIR$/storage/logs/laravel-2021-04-15.log" />
        <option value="$PROJECT_DIR$/Modules/Admin/Http/Controllers/BaseController.php" />
        <option value="$PROJECT_DIR$/Modules/Enum/UserEnum.php" />
        <option value="$PROJECT_DIR$/storage/logs/laravel-2021-04-16.log" />
        <option value="$PROJECT_DIR$/Modules/Admin/Resources/views/layouts/master.blade.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Database/Migrations/2021_04_16_083654_create_mine_list_table.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Entities/MineList.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Routes/web.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Entities/CameraFieldList.php" />
        <option value="$PROJECT_DIR$/app/Enum/CommonEnum.php" />
        <option value="$PROJECT_DIR$/Modules/Admin/Enum/UserEnum.php" />
        <option value="$PROJECT_DIR$/Modules/Admin/Services/UsersService.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_04_20_071702_create_camera_field_list.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Entities/CameraList.php" />
        <option value="$PROJECT_DIR$/storage/logs/laravel-2021-04-20.log" />
        <option value="$PROJECT_DIR$/storage/logs/laravel-2021-04-21.log" />
        <option value="$PROJECT_DIR$/Modules/Admin/Enum/AdminEnum.php" />
        <option value="$PROJECT_DIR$/Modules/Admin/Http/Controllers/UsersController.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Routes/web.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_04_20_082221_create_camera_list_table.php" />
        <option value="$PROJECT_DIR$/Modules/Admin/Http/Controllers/MenusController.php" />
        <option value="$PROJECT_DIR$/Modules/Admin/Routes/web.php" />
        <option value="$PROJECT_DIR$/vendor/overtrue/pinyin/src/Pinyin.php" />
        <option value="$PROJECT_DIR$/storage/logs/laravel-2021-04-22.log" />
        <option value="$PROJECT_DIR$/storage/app/menulist.php" />
        <option value="$PROJECT_DIR$/Modules/Admin/Database/Seeders/AdminDatabaseSeeder.php" />
        <option value="$PROJECT_DIR$/Modules/Admin/Services/MenusService.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_04_23_032650_update_camera_list_table_fields.php" />
        <option value="$PROJECT_DIR$/storage/logs/laravel-2021-04-23.log" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/Api/BaseController.php" />
        <option value="$PROJECT_DIR$/Modules/Admin/Traits/ClassifyMethod.php" />
        <option value="$PROJECT_DIR$/storage/logs/laravel-2021-04-25.log" />
        <option value="$PROJECT_DIR$/storage/logs/laravel-2021-04-26.log" />
        <option value="$PROJECT_DIR$/resources/lang/en/auth.php" />
        <option value="$PROJECT_DIR$/Modules/Admin/Http/Controllers/LoginController.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Http/Controllers/MineController.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_04_26_024115_add_sort_to_camera_list_table.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Http/Controllers/CameraController.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Jobs/CameraListExcel.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Http/Controllers/Api/MineApiController.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Routes/api.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Services/MineServices.php" />
        <option value="$PROJECT_DIR$/app/Enum/ApiEnum.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Enum/CameraEnum.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Routes/api.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Http/Controllers/Api/CameraApiController.php" />
        <option value="$PROJECT_DIR$/app/Helpers.php" />
        <option value="$PROJECT_DIR$/.env" />
        <option value="$PROJECT_DIR$/Modules/Camera/Services/CameraServices.php" />
      </list>
    </option>
  </component>
  <component name="PhpWorkspaceProjectConfiguration">
    <include_path>
      <path value="$PROJECT_DIR$/vendor/erusev/parsedown" />
      <path value="$PROJECT_DIR$/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/vendor/fzaninotto/faker" />
      <path value="$PROJECT_DIR$/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/vendor/symfony/service-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/deprecation-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-iconv" />
      <path value="$PROJECT_DIR$/vendor/symfony/mime" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php80" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-idn" />
      <path value="$PROJECT_DIR$/vendor/symfony/routing" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-client-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/css-selector" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/laravel/tinker" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-ctype" />
      <path value="$PROJECT_DIR$/vendor/symfony/error-handler" />
      <path value="$PROJECT_DIR$/vendor/symfony/console" />
      <path value="$PROJECT_DIR$/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/vendor/laravel/framework" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/debug" />
      <path value="$PROJECT_DIR$/vendor/doctrine/lexer" />
      <path value="$PROJECT_DIR$/vendor/symfony/process" />
      <path value="$PROJECT_DIR$/vendor/doctrine/inflector" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-normalizer" />
      <path value="$PROJECT_DIR$/vendor/psr/simple-cache" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php72" />
      <path value="$PROJECT_DIR$/vendor/tijsverkoyen/css-to-inline-styles" />
      <path value="$PROJECT_DIR$/vendor/psr/log" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-token-stream" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-kernel" />
      <path value="$PROJECT_DIR$/vendor/psr/container" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php73" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/vendor/symfony/finder" />
      <path value="$PROJECT_DIR$/vendor/opis/closure" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/var-dumper" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/vendor/phpspec/prophecy" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-foundation" />
      <path value="$PROJECT_DIR$/vendor/nikic/php-parser" />
      <path value="$PROJECT_DIR$/vendor/vlucas/phpdotenv" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/vendor/dragonmantank/cron-expression" />
      <path value="$PROJECT_DIR$/vendor/nesbot/carbon" />
      <path value="$PROJECT_DIR$/vendor/nunomaduro/collision" />
      <path value="$PROJECT_DIR$/vendor/psy/psysh" />
      <path value="$PROJECT_DIR$/vendor/fideloper/proxy" />
      <path value="$PROJECT_DIR$/vendor/php-parallel-lint/php-console-highlighter" />
      <path value="$PROJECT_DIR$/vendor/php-parallel-lint/php-console-color" />
      <path value="$PROJECT_DIR$/vendor/paragonie/random_compat" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/type-resolver" />
      <path value="$PROJECT_DIR$/vendor/phpoption/phpoption" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-docblock" />
      <path value="$PROJECT_DIR$/vendor/dnoegel/php-xdg-base-dir" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-common" />
      <path value="$PROJECT_DIR$/vendor/composer" />
      <path value="$PROJECT_DIR$/vendor/swiftmailer/swiftmailer" />
      <path value="$PROJECT_DIR$/vendor/mockery/mockery" />
      <path value="$PROJECT_DIR$/vendor/egulias/email-validator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/vendor/filp/whoops" />
      <path value="$PROJECT_DIR$/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/vendor/ramsey/uuid" />
      <path value="$PROJECT_DIR$/vendor/webmozart/assert" />
      <path value="$PROJECT_DIR$/vendor/monolog/monolog" />
      <path value="$PROJECT_DIR$/vendor/beyondcode/laravel-dump-server" />
      <path value="$PROJECT_DIR$/vendor/league/mime-type-detection" />
      <path value="$PROJECT_DIR$/vendor/league/flysystem" />
      <path value="$PROJECT_DIR$/vendor/hamcrest/hamcrest-php" />
      <path value="$PROJECT_DIR$/vendor/nwidart/laravel-modules" />
      <path value="$PROJECT_DIR$/vendor/doctrine/cache" />
      <path value="$PROJECT_DIR$/vendor/doctrine/event-manager" />
      <path value="$PROJECT_DIR$/vendor/doctrine/deprecations" />
      <path value="$PROJECT_DIR$/vendor/doctrine/dbal" />
      <path value="$PROJECT_DIR$/vendor/psr/http-message" />
      <path value="$PROJECT_DIR$/vendor/symfony/psr-http-message-bridge" />
      <path value="$PROJECT_DIR$/vendor/laravel/passport" />
      <path value="$PROJECT_DIR$/vendor/psr/http-factory" />
      <path value="$PROJECT_DIR$/vendor/league/event" />
      <path value="$PROJECT_DIR$/vendor/league/oauth2-server" />
      <path value="$PROJECT_DIR$/vendor/firebase/php-jwt" />
      <path value="$PROJECT_DIR$/vendor/defuse/php-encryption" />
      <path value="$PROJECT_DIR$/vendor/phpseclib/phpseclib" />
      <path value="$PROJECT_DIR$/vendor/lcobucci/jwt" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/guzzle" />
      <path value="$PROJECT_DIR$/vendor/ralouphie/getallheaders" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/promises" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/psr7" />
      <path value="$PROJECT_DIR$/vendor/zendframework/zend-diactoros" />
      <path value="$PROJECT_DIR$/vendor/overtrue/pinyin" />
      <path value="$PROJECT_DIR$/vendor/box/spout" />
    </include_path>
  </component>
  <component name="ProjectFrameBounds" fullScreen="true">
    <option name="width" value="1440" />
    <option name="height" value="900" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
              <item name="Controllers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="Modules" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="Modules" type="462c0819:PsiDirectoryNode" />
              <item name="Camera" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="Modules" type="462c0819:PsiDirectoryNode" />
              <item name="Camera" type="462c0819:PsiDirectoryNode" />
              <item name="Routes" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="Modules" type="462c0819:PsiDirectoryNode" />
              <item name="Camera" type="462c0819:PsiDirectoryNode" />
              <item name="Services" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="Modules" type="462c0819:PsiDirectoryNode" />
              <item name="Mine" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/Modules/Admin" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="phpunit.xml" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner scope="XML" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b5beace6-e4f4-419b-8299-c67e17af5998" name="Default Changelist" comment="" />
      <created>1618368322468</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1618368322468</updated>
      <workItem from="1618368323697" duration="143000" />
      <workItem from="1618368497550" duration="133835000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="133978000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1440" height="900" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.2532189" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="8" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Terminal" order="10" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" weight="0.32961586" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Routes/web.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="676">
          <caret line="45" column="59" selection-start-line="45" selection-start-column="59" selection-end-line="45" selection-end-column="59" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/routes/web.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="19" column="32" lean-forward="true" selection-start-line="19" selection-start-column="32" selection-end-line="19" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/symfony/console/Helper/Helper.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2075" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/storage/app/menulist.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="620">
          <caret line="196" column="24" selection-start-line="196" selection-start-column="24" selection-end-line="196" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Database/Seeders/AdminDatabaseSeeder.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="297">
          <caret line="211" column="60" selection-start-line="211" selection-start-column="60" selection-end-line="211" selection-end-column="60" />
          <folding>
            <element signature="e#50#81#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/overtrue/pinyin/src/Pinyin.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="438">
          <caret line="296" column="59" lean-forward="true" selection-start-line="296" selection-start-column="59" selection-end-line="296" selection-end-column="59" />
          <folding>
            <element signature="e#7#208#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/overtrue/pinyin/src/const.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="13" column="18" lean-forward="true" selection-start-line="13" selection-start-column="18" selection-end-line="13" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Resources/views/login.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="239">
          <caret line="136" lean-forward="true" selection-start-line="136" selection-end-line="136" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Resources/views/layouts/sub.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-710">
          <caret line="104" lean-forward="true" selection-start-line="104" selection-end-line="104" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Resources/views/layouts/master.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="171" column="16" selection-start-line="171" selection-start-column="16" selection-end-line="171" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Resources/views/component/template_from.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="287">
          <caret line="232" column="56" selection-start-line="232" selection-start-column="45" selection-end-line="232" selection-end-column="56" />
          <folding>
            <element signature="n#style#0;n#span#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#span#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#span#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Http/Controllers/MenusController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="82" column="36" selection-start-line="82" selection-start-column="36" selection-end-line="82" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/storage/logs/laravel-2021-04-22.log">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="21">
          <caret line="1" lean-forward="true" selection-start-line="1" selection-end-line="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Services/MenusService.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="367">
          <caret line="207" column="16" selection-start-line="207" selection-start-column="16" selection-end-line="207" selection-end-column="16" />
          <folding>
            <element signature="e#128#165#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/laravel/framework/src/Illuminate/Foundation/Bus/Dispatchable.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="13" column="27" selection-start-line="13" selection-start-column="27" selection-end-line="13" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/storage/logs/laravel-2021-04-23.log">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="123">
          <caret line="6" column="54" selection-start-line="6" selection-start-column="54" selection-end-line="6" selection-end-column="54" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Middleware/Authenticate.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="6" column="6" selection-start-line="6" selection-start-column="6" selection-end-line="6" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Kernel.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="316">
          <caret line="53" column="43" lean-forward="true" selection-start-line="53" selection-start-column="43" selection-end-line="53" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/laravel/framework/src/Illuminate/Routing/Controller.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="6" column="15" selection-start-line="6" selection-start-column="15" selection-end-line="6" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Enum/UserEnum.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="168">
          <caret line="13" column="51" selection-start-line="13" selection-start-column="41" selection-end-line="13" selection-end-column="51" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Http/Controllers/UsersController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2996">
          <caret line="157" column="45" selection-start-line="144" selection-start-column="7" selection-end-line="157" selection-end-column="45" />
          <folding>
            <element signature="e#136#149#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/storage/logs/laravel-2021-04-25.log">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/laravel/framework/src/Illuminate/Validation/ValidationException.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="71" column="42" selection-start-line="71" selection-start-column="42" selection-end-line="71" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/lang/en/auth.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="336">
          <caret line="16" column="46" selection-start-line="16" selection-start-column="46" selection-end-line="16" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Http/Controllers/LoginController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-738">
          <caret line="46" column="5" selection-start-line="46" selection-start-column="5" selection-end-line="46" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/laravel/framework/src/Illuminate/Foundation/Auth/AuthenticatesUsers.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="102" column="40" selection-start-line="102" selection-start-column="23" selection-end-line="102" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Routes/web.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="252">
          <caret line="21" column="73" selection-start-line="21" selection-start-column="55" selection-end-line="21" selection-end-column="73" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_04_23_032650_update_camera_list_table_fields.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="315">
          <caret line="17" column="37" selection-start-line="17" selection-start-column="28" selection-end-line="17" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_04_26_024115_add_sort_to_camera_list_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="546">
          <caret line="28" column="39" selection-start-line="28" selection-start-column="39" selection-end-line="28" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/laravel/framework/src/Illuminate/Queue/Console/WorkCommand.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="20" column="28" selection-start-line="20" selection-start-column="28" selection-end-line="20" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/laravel/framework/src/Illuminate/Queue/Listener.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="269">
          <caret line="150" column="13" selection-start-line="150" selection-start-column="13" selection-end-line="150" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/Api/BaseController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="131">
          <caret line="24" column="24" selection-start-line="24" selection-start-column="24" selection-end-line="24" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Traits/ClassifyMethod.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="389">
          <caret line="192" column="25" selection-start-line="192" selection-start-column="20" selection-end-line="192" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Mine/Http/Controllers/MineController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="466">
          <caret line="32" column="34" selection-start-line="32" selection-start-column="34" selection-end-line="32" selection-end-column="34" />
          <folding>
            <element signature="e#49#93#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Mine/Routes/api.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="336">
          <caret line="16" column="28" selection-start-line="16" selection-start-column="16" selection-end-line="16" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Enum/AdminEnum.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="168">
          <caret line="13" column="10" selection-start-line="13" selection-start-column="10" selection-end-line="13" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Mine/Services/MineServices.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="250">
          <caret line="34" column="27" selection-start-line="34" selection-start-column="27" selection-end-line="34" selection-end-column="27" />
          <folding>
            <element signature="e#127#148#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Mine/Http/Controllers/Api/MineApiController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="22" column="36" lean-forward="true" selection-start-line="22" selection-start-column="36" selection-end-line="22" selection-end-column="36" />
          <folding>
            <element signature="e#139#183#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/plugins/php/lib/php.jar!/stubs/curl/curl_d.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="107" column="9" selection-start-line="107" selection-start-column="9" selection-end-line="107" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Enum/ApiEnum.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="567">
          <caret line="32" column="33" selection-start-line="32" selection-start-column="10" selection-end-line="32" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Enum/CameraEnum.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="22" column="24" selection-start-line="22" selection-start-column="10" selection-end-line="22" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Routes/api.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="14" column="37" selection-start-line="14" selection-start-column="37" selection-end-line="14" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Http/Controllers/Api/CameraApiController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="508">
          <caret line="42" column="42" selection-start-line="42" selection-start-column="33" selection-end-line="42" selection-end-column="42" />
          <folding>
            <element signature="e#141#162#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Jobs/CameraListExcel.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="918">
          <caret line="128" column="23" selection-start-line="128" selection-start-column="23" selection-end-line="128" selection-end-column="23" />
          <folding>
            <element signature="e#39#68#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Http/Controllers/CameraController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="318">
          <caret line="239" column="26" selection-start-line="239" selection-start-column="26" selection-end-line="239" selection-end-column="26" />
          <folding>
            <element signature="e#51#107#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Helpers.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="68" column="32" selection-start-line="68" selection-start-column="32" selection-end-line="68" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/plugins/php/lib/php.jar!/stubs/standard/standard_2.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="597" column="9" selection-start-line="597" selection-start-column="9" selection-end-line="597" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/storage/logs/laravel-2021-04-26.log">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1975">
          <caret line="7" column="46" lean-forward="true" selection-start-line="7" selection-start-column="46" selection-end-line="7" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/filp/whoops/src/Whoops/Resources/views/env_details.html.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/.env">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="656">
          <caret line="46" column="44" lean-forward="true" selection-start-line="46" selection-start-column="16" selection-end-line="46" selection-end-column="44" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Services/CameraServices.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="424">
          <caret line="317" column="13" lean-forward="true" selection-start-line="317" selection-start-column="13" selection-end-line="317" selection-end-column="13" />
          <folding>
            <element signature="e#129#150#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>